zenilib: zenilib/jni/external/sdl_net/SDLnetsys.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
SDLnetsys.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <sys/ioctl.h>`
`#include <sys/time.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <netinet/tcp.h>`
`#include <sys/socket.h>`
`#include <net/if.h>`
`#include <netdb.h>`

Go to the source code of this file.

## Macros

#define | closesocket close
#define | INVALID_SOCKET -1
#define | SOCKET int
#define | SOCKET_ERROR -1

## Functions

int | SDLNet_GetLastError (void)
void | SDLNet_SetLastError (int err)

## Macro Definition Documentation

#define closesocket close

Definition at line 76 of file SDLnetsys.h.

Referenced by SDLNet_GetLocalAddresses(), SDLNet_TCP_Close(), and SDLNet_UDP_Close().

#define INVALID_SOCKET -1

Definition at line 79 of file SDLnetsys.h.

Referenced by SDLNet_GetLocalAddresses(), SDLNet_TCP_Accept(), SDLNet_TCP_Close(), SDLNet_TCP_Open(), SDLNet_UDP_Close(), and SDLNet_UDP_Open().

#define SOCKET int

Definition at line 78 of file SDLnetsys.h.

Referenced by SDLNet_CheckSockets(), and SDLNet_GetLocalAddresses().

#define SOCKET_ERROR -1

Definition at line 80 of file SDLnetsys.h.

Referenced by SDLNet_Quit(), SDLNet_TCP_Open(), and SDLNet_UDP_Open().

## Function Documentation

int SDLNet_GetLastError | ( | void |  | ) |

Definition at line 51 of file SDLnet.c.

Referenced by SDLNet_CheckSockets(), SDLNet_TCP_Recv(), SDLNet_TCP_Send(), and SocketReady().

void SDLNet_SetLastError | ( | int | err | ) |

Definition at line 56 of file SDLnet.c.

Referenced by SDLNet_CheckSockets(), SDLNet_TCP_Recv(), SDLNet_TCP_Send(), and SocketReady().